"$tool"/local/apt-get-install dovecot-imapd dovecot-lmtpd dovecot-managesieved dovecot-pop3d dovecot-sieve
"$tool"/local/insserv-remove  dovecot

hint="run before: remote/runit-configure $sv"
for domain in \
 "$local_domainname" \
 cyclocoop.org \
 lesjantesdunord.org \
 ptitvelo.net \
 veli-velo.org
 do
	for protocol in imap pop
	 do
		assert "sudo test -f /etc/dovecot/$domain/"$protocol"/x509/key.pem" hint
		sudo install -m 400 -o root -g root \
		 "$tool"/var/pub/x509/"$protocol"."$domain"/crt+crl.self-signed.pem \
		    /etc/dovecot/"$domain"/"$protocol"/x509/crt+crl.self-signed.pem
	 done
 done

hint="run before: local/runit-configure nginx -- autoconfig"
assert "getent passwd www-autoconfig" hint
sudo install -d -m 750 -o www-autoconfig -g www-autoconfig \
 ~www-autoconfig/mail/
sudo install -m 640 -o www-autoconfig -g www-autoconfig \
 "$tool"/etc/dovecot/autoconfig.xml \
 ~www-autoconfig/mail/config-v1.1.xml

sudo usermod --home /home/mail mail
sudo install -d -m 0751 -o mail -g mail \
 ~mail
for dir in \
 /etc/dovecot/acl/global.d \
 ~mail/data \
 ~mail/log \
 /etc/dovecot/pop3 \
 /etc/dovecot/pop3/INBOX \
 /etc/dovecot/sieve \
 /etc/dovecot/sieve/after.d \
 /etc/dovecot/sieve/before.d \
 /etc/dovecot/sieve/global.d
 do
	sudo install -d -m 3775 -o root -g root "$dir"
 done
for dir in \
 after.d \
 before.d \
 global.d
 do
	if sudo test -e "$tool"/etc/dovecot/sieve/"$dir"
	 then
		sudo find "$tool"/etc/dovecot/sieve/"$dir" \
		 -maxdepth 1 -type f \
		 -name '*.sieve' \
		 -exec install -m 644 -o root -g root \
		 -t /etc/dovecot/sieve/"$dir" {} +
	 fi
	sudo sievec /etc/dovecot/sieve/"$dir"
	sudo find   /etc/dovecot/sieve/"$dir" \
	 -maxdepth 1 -type f \
	 -exec chmod 664 {} +
 done

#sudo install -d -m 770 -o root -g root \
# /etc/skel/etc/mail \
# /etc/skel/etc/sieve
sudo install -d -m 1777 -o root -g root \
 /var/lib/dovecot-control \
 /var/lib/dovecot-index
m4 \
 --define=LOCAL_DOMAINNAME=$local_domainname \
 <"$tool"/etc/dovecot/dovecot.conf.m4 |
sudo install -m 644 -o root -g root /dev/stdin \
 /etc/dovecot/dovecot.conf
sudo install -m 640 -o root -g postfix \
 "$tool"/etc/dovecot/transport \
        /etc/dovecot/transport
sudo install -m 644 -o root -g root \
 "$tool"/etc/dovecot/pop3/INBOX/dovecot-virtual \
        /etc/dovecot/pop3/INBOX/dovecot-virtual
sudo postmap hash:/etc/dovecot/transport
